{% extends 'base.html' %}
{% load static %}

{% block pagetitle %}Home{% endblock %}

{% block main %}


    {#  Main  #}
    <div id="main">
        <div id="carouselExampleIndicators" class="carousel slide" data-ride="carousel">
            <ol class="carousel-indicators">
                {% for pics in slide_pics %}
                    <li data-target="#carouselExampleIndicators" data-slide-to="{{ forloop.counter0 }}"
                        class="{% if forloop.counter0 == 0 %} active {% endif %}"></li>
                {% endfor %}
            </ol>
            <div class="carousel-inner active">
                {% for pics in slide_pics %}
                    <div class="carousel-item {% if forloop.counter0 == 0 %} active {% endif %}">
                        <img class="d-block w-100" width="920px" height="700px" src="{{ pics.image.url }}"
                             alt="First slide">
                    </div>
                {% endfor %}

            </div>
            <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
                <span class="carousel-control-prev-icon" aria-hidden="true"></span>
                <span class="sr-only">Previous</span>
            </a>
            <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
                <span class="carousel-control-next-icon" aria-hidden="true"></span>
                <span class="sr-only">Next</span>
            </a>
        </div>

        <br>
        <br>


        <div class="inner">
            <!-- About Us -->
            <header id="inner">
                <h1>Find your new book!</h1>
                <p>Etiam quis viverra lorem, in semper lorem. Sed nisl arcu euismod sit amet nisi euismod sed
                    cursus
                    arcu elementum ipsum arcu vivamus quis venenatis orci lorem ipsum et magna feugiat veroeros
                    aliquam.
                    Lorem ipsum dolor sit amet nullam dolore.</p>
            </header>

            <br>

            <h2 class="h2">Featured Products</h2>

            <!-- Featured Products -->
            <div class="row-md-7"><img src="{{ product.thumbnail.url }}" alt=""></div>


            <section class="tiles">
                {% for product in featured_products %}
                    <article class="style{{ forloop.counter0 }}">
                        <span class="image">
                            <img src="{{ product.thumbnail.url }}" alt="">
                        </span>
                        <a href="{% url 'shop:product_detail' product.slug %}">
                            {{ product.title }}
                        </a>
                        <br>
                        <p>
                            {% if product.description %}
                                {{ product.description }}
                            {% endif %}
                            {% if product.discount_price %}
                                <strong>{{ product.discount_price | floatformat:2 }} Lei</strong>
                                <del style="color: darkred">{{ product.price | floatformat:2 }} Lei</del>
                            {% else %}
                                {{ product.price }} Lei
                            {% endif %}

                    </article>

                {% endfor %}

            </section>

            {#            <p class="text-center"><a href="{% url 'shop:product_list' category_slug=category.slug %}">More Books &nbsp;<i#}
            {#                    class="fa fa-long-arrow-right"></i></a>#}
            {#            </p>#}

            <br>

            <h2 class="h2">Testimonials</h2>
            <div class="row">
                {% for testimonial_ in testimonials %}
                    {% if not testimonial_.new_testimonial == False %}
                        <div class="col-sm-6 text-center">
                            <p class="m-n"><em>{{ testimonial_.testimonial }}</em></p>
                            <p><strong> - {{ testimonial_.title }}</strong></p>
                        </div>
                    {% endif %}

                {% endfor %}
            </div>
            <p class="text-center"><a href="{% url 'shop:testimonials' %}">Read More &nbsp<i
                    class="fa fa-long-arrow-right"></i></a></p>
            <br>
        </div>
    </div>

{% endblock %}